{
	"name": "query/manager/product/stock/notdeliveredpallets.json",
	"info": "---- ?? tarkoittaa epäselvää",
	"table": [
		{
			"record_type": [""],
			"table": "stock"
		}
	],
	"query": [
		["C_LONGINT", ["stpa_lUseSelection"]],
		["c_text", ["stpa_tTypePallet"]],
		["stpa_lUseSelection", "=", "false"],
		["COMPILER_stpa"],
		["if", ["stpa_lUseSelection", "=", "false"], [["stpa_tTypePallet", "=", ["stpa_tTypePallet"]], ["_qry_Fld", ["0", ["stpa_type", "=", ["stpa_tTypePallet"]], "", "false", "false"]]]],
		["sor_HAE_AVOIMET", ["false"]],
		["ARRAY_TEXT", ["stpa_atSorSalesOrder", "0"]],
		["ARRAY_LONGINT", ["stpa_alSorRow", "0"]],
		["ARRAY_LONGINT", ["stpa_alSorPartialRow", "0"]],
		["_sel_SEL_TO_ARR_THREE", ["ordr.order_id", "stpa_atSorSalesOrder", "ordr.row_number", "stpa_alSorRow", "ordr.json_data.partial_delivery_number", "stpa_alSorPartialRow"]],
		["stpa_lArrSize", "=", ["Size_of_array", ["stpa_atSorSalesOrder"]]],
		["For ---- ??"]
	]
}